{
  pkgs,
  lib,
  ...
}:

{
  imports = [
    (lib.custom.relativeToRoot "shared/modules")
    ./battery.nix
    ./bluetooth.nix
    ./hardware-configuration.nix
    ./security.nix
  ];

  boot.kernelPackages = pkgs.linuxPackages_latest;

  environment.systemPackages = with pkgs; [
    brightnessctl
    hyprsunset # Blue light filter
  ];

}
